package com.zcloud.mapper.datasource.risk;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：风险单元
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
public interface RiskUnitMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);
	List<PageData> listOut(PageData pd);

	/**列表(首页)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listIndexAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);
	/**通过名称获取数据
	 * @param pd
	 * @throws Exception
	 */
	List<PageData>  findByName(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);
	/**
	 *  根据风险单元获取风险点信息
	 * @param pd
	 * @return
	 */
	List<PageData> getRisByUnitId (Page page);

	/**风险分布情况统计（BI页）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listUnitLevel(PageData pd);

	List<PageData> listForDocking(PageData pd);
    void updateDocking(PageData pageData);
}

